(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     33857,        774]
NotebookOptionsPosition[     33172,        754]
NotebookOutlinePosition[     33587,        771]
CellTagsIndexPosition[     33544,        768]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.820022618382413*^9, 3.8200226653452616`*^9}, {
   3.82002270075681*^9, 3.820022701382838*^9}, {3.8200237759508233`*^9, 
   3.8200238232820516`*^9}, {3.8200238736778383`*^9, 
   3.8200238863141613`*^9}, {3.8200240456698337`*^9, 3.820024117943103*^9}, {
   3.8200243289921665`*^9, 3.820024330556732*^9}, {3.820024736028517*^9, 
   3.8200248663650637`*^9}, {3.8200249341156225`*^9, 3.82002494501199*^9}, {
   3.8200578796246214`*^9, 3.8200578943535547`*^9}, 3.820059080975773*^9, 
   3.820059139723996*^9, {3.8200593537337713`*^9, 3.8200593752123203`*^9}, 
   3.8200608865900183`*^9},ExpressionUUID->"52194717-f0c9-4c41-8c88-\
89c31f53c92c"],

Cell["2021 \:5171\:901a\:30c6\:30b9\:30c8\:3000\:7b2c\:ff15\:554f\:3000\:30d9\
\:30af\:30c8\:30eb\:3000(2)\:3000", "Text",
 CellChangeTimes->{{3.820390021745653*^9, 3.8203900864106965`*^9}, {
  3.820391850993458*^9, 
  3.8203918513655305`*^9}},ExpressionUUID->"a978c2e3-5b69-49ba-9dba-\
597ed3843b9d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Dod", "=", 
   RowBox[{"PolyhedronData", "[", 
    RowBox[{"\"\<Dodecahedron\>\"", ",", "\"\<VertexCoordinates\>\""}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "A1", ",", "X2", ",", "A3", ",", "A4", ",", "A5", ",", "A6", ",", "A7", 
      ",", "A8", ",", "A2", ",", "C1", ",", "A11", ",", "A12", ",", "E0", ",",
       "O0", ",", "B1", ",", "A16", ",", "B2", ",", "D0", ",", "C2", ",", 
      "A20"}], "}"}], "=", "Dod"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Manipulate", " ", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"D1", "=", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Opacity", "[", "P", "]"}], ",", 
           RowBox[{"Dodecahedron", "[", "]"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<A1\>\"", ",", "Large"}], "]"}], ",", "A1"}], "]"}], 
         ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<A3\>\"", ",", "Large"}], "]"}], ",", "A3"}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<A2\>\"", ",", "Large"}], "]"}], ",", "A2"}], "]"}], 
         ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<C1\>\"", ",", "Large"}], "]"}], ",", "C1"}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<E\>\"", ",", "Large"}], "]"}], ",", "E0"}], "]"}], 
         ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<O\>\"", ",", "Large"}], "]"}], ",", "O0"}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<B1\>\"", ",", "Large"}], "]"}], ",", "B1"}], "]"}], 
         ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<B2\>\"", ",", "Large"}], "]"}], ",", "B2"}], "]"}], 
         ",", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<D\>\"", ",", "Large"}], "]"}], ",", "D0"}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<C2\>\"", ",", "Large"}], "]"}], ",", "C2"}], "]"}]}],
         "\[IndentingNewLine]", "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Bx", "=", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", 
        RowBox[{"Green", ",", 
         RowBox[{"Opacity", "[", "B", "]"}], ",", 
         RowBox[{"Tube", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"O0", ",", "B1", ",", "D0", ",", "B2", ",", "O0"}], "}"}],
            ",", "0.02"}], "]"}]}], "}"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"vOA1", "=", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", 
        RowBox[{"Red", ",", 
         RowBox[{"Opacity", "[", "OA1", "]"}], ",", 
         RowBox[{"Arrowheads", "[", "0.05", "]"}], ",", 
         RowBox[{"Arrow", "[", 
          RowBox[{"Tube", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"O0", ",", "A1"}], "}"}], ",", "0.02"}], "]"}], "]"}]}], 
        "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"vOA2", "=", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", 
        RowBox[{"Red", ",", 
         RowBox[{"Opacity", "[", "OA2", "]"}], ",", 
         RowBox[{"Arrowheads", "[", "0.05", "]"}], ",", 
         RowBox[{"Arrow", "[", 
          RowBox[{"Tube", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"O0", ",", "A2"}], "}"}], ",", "0.02"}], "]"}], "]"}]}], 
        "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"vOA3", "=", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", 
        RowBox[{"Red", ",", 
         RowBox[{"Opacity", "[", "OA3", "]"}], ",", 
         RowBox[{"Arrowheads", "[", "0.05", "]"}], ",", 
         RowBox[{"Arrow", "[", 
          RowBox[{"Tube", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"O0", ",", "A3"}], "}"}], ",", "0.02"}], "]"}], "]"}]}], 
        "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"vOB2", "=", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", 
        RowBox[{"Blue", ",", 
         RowBox[{"Opacity", "[", "OB2", "]"}], ",", 
         RowBox[{"Arrowheads", "[", "0.05", "]"}], ",", 
         RowBox[{"Arrow", "[", 
          RowBox[{"Tube", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"O0", ",", "B2"}], "}"}], ",", "0.02"}], "]"}], "]"}]}], 
        "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"vOB1", "=", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", 
        RowBox[{"Blue", ",", 
         RowBox[{"Opacity", "[", "OB1", "]"}], ",", 
         RowBox[{"Arrowheads", "[", "0.05", "]"}], ",", 
         RowBox[{"Arrow", "[", 
          RowBox[{"Tube", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"O0", ",", "B1"}], "}"}], ",", "0.02"}], "]"}], "]"}]}], 
        "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{"vOA2Y", "=", 
        RowBox[{"Graphics3D", "[", 
         RowBox[{"{", 
          RowBox[{"Yellow", ",", 
           RowBox[{"Opacity", "[", "OA2B1Y", "]"}], ",", 
           RowBox[{"Arrowheads", "[", "0.05", "]"}], ",", 
           RowBox[{"Arrow", "[", 
            RowBox[{"Tube", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"O0", ",", "A2"}], "}"}], ",", "0.02"}], "]"}], 
            "]"}]}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"vA2B1Y", "=", 
        RowBox[{"Graphics3D", "[", 
         RowBox[{"{", 
          RowBox[{"Yellow", ",", 
           RowBox[{"Opacity", "[", "OA2B1Y", "]"}], ",", 
           RowBox[{"Arrowheads", "[", "0.05", "]"}], ",", 
           RowBox[{"Arrow", "[", 
            RowBox[{"Tube", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"A2", ",", "B1"}], "}"}], ",", "0.02"}], "]"}], 
            "]"}]}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"vOA3P", "=", 
        RowBox[{"Graphics3D", "[", 
         RowBox[{"{", 
          RowBox[{"Pink", ",", 
           RowBox[{"Opacity", "[", "OA3B2P", "]"}], ",", 
           RowBox[{"Arrowheads", "[", "0.05", "]"}], ",", 
           RowBox[{"Arrow", "[", 
            RowBox[{"Tube", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"O0", ",", "A3"}], "}"}], ",", "0.02"}], "]"}], 
            "]"}]}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"vA3B2P", "=", 
        RowBox[{"Graphics3D", "[", 
         RowBox[{"{", 
          RowBox[{"Pink", ",", 
           RowBox[{"Opacity", "[", "OA3B2P", "]"}], ",", 
           RowBox[{"Arrowheads", "[", "0.05", "]"}], ",", 
           RowBox[{"Arrow", "[", 
            RowBox[{"Tube", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"A3", ",", "B2"}], "}"}], ",", "0.02"}], "]"}], 
            "]"}]}], "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"Bx", "=", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", 
        RowBox[{"Blue", ",", 
         RowBox[{"Opacity", "[", "B", "]"}], ",", 
         RowBox[{"Tube", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"O0", ",", "B1", ",", "D0", ",", "B2", ",", "O0"}], "}"}],
            ",", "0.02"}], "]"}]}], "}"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Hx", "=", 
      RowBox[{"Graphics3D", "[", 
       RowBox[{"{", 
        RowBox[{"Green", ",", 
         RowBox[{"Opacity", "[", "Hex", "]"}], ",", 
         RowBox[{"EdgeForm", "[", "None", "]"}], ",", 
         RowBox[{"Polygon", "[", 
          RowBox[{"{", 
           RowBox[{"O0", ",", "B1", ",", "D0", ",", "B2"}], "}"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"Polygon", "[", 
          RowBox[{"{", 
           RowBox[{"O0", ",", "B2", ",", "A5", ",", "A7"}], "}"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"Polygon", "[", 
          RowBox[{"{", 
           RowBox[{"O0", ",", "B1", ",", "A8", ",", "A7"}], "}"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"Polygon", "[", 
          RowBox[{"{", 
           RowBox[{"A8", ",", "B1", ",", "D0", ",", "A6"}], "}"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"Polygon", "[", 
          RowBox[{"{", 
           RowBox[{"A6", ",", "D0", ",", "B2", ",", "A5"}], "}"}], "]"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"Polygon", "[", 
          RowBox[{"{", 
           RowBox[{"A5", ",", "A6", ",", "A8", ",", "A7"}], "}"}], "]"}]}], 
        "\[IndentingNewLine]", "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Show", "[", 
      RowBox[{
      "vOA1", ",", "vOA2", ",", "vOA3", ",", "vOB1", ",", "vOB2", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "vOA2Y", ",", "\[IndentingNewLine]", "vA2B1Y", ",", 
         "\[IndentingNewLine]", "vOA3Y", ",", "\[IndentingNewLine]", "vA3B2P",
          "\[IndentingNewLine]", ","}], "*)"}], "\[IndentingNewLine]", "D1", 
       ",", "Bx", ",", "Hx"}], "]"}]}], "\[IndentingNewLine]", ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"P", ",", "0.3", ",", "\"\<Opacity\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0.3", ",", "1"}], "}"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"B", ",", "1", ",", "\"\<OB1DB2\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Hex", ",", "1", ",", "\"\<Hexa\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"OA1", ",", "1", ",", "\"\<OA1\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"OA2", ",", "1", ",", "\"\<OA2\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"OA3", ",", "1", ",", "\"\<OA3\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"OB1", ",", "1", ",", "\"\<OB1\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"OB2", ",", "1", ",", "\"\<OB2\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], " ", 
    RowBox[{"(*", 
     RowBox[{",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"O1", ",", "1", ",", "\"\<OA2+A2B1\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"OA2B1Y", ",", "1", ",", "\"\<OA2B1\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"OA3B2P", ",", "1", ",", "\"\<OA3B2\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], "*)"}], ",", 
    RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "\[IndentingNewLine]", 
   "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.8200238334162164`*^9, 3.8200238505294733`*^9}, 
   3.8200240518082514`*^9, {3.8200240996711063`*^9, 3.8200241252425117`*^9}, {
   3.820024970679109*^9, 3.8200249893405128`*^9}, {3.820057917528226*^9, 
   3.820057966690445*^9}, {3.8200582050364475`*^9, 3.8200582417881975`*^9}, {
   3.8200584828381166`*^9, 3.82005850111316*^9}, {3.8200585801647835`*^9, 
   3.8200586144625006`*^9}, {3.8200586734089155`*^9, 
   3.8200587319644403`*^9}, {3.820058764902855*^9, 3.8200587789743357`*^9}, {
   3.8200588373140926`*^9, 3.8200588677855625`*^9}, {3.820058966271*^9, 
   3.8200590244072847`*^9}, {3.820059070561141*^9, 3.820059106843751*^9}, {
   3.8200591764081755`*^9, 3.8200592083708334`*^9}, {3.820060877981838*^9, 
   3.8200609321570773`*^9}, {3.8200993313809943`*^9, 3.8200994280236115`*^9}, 
   3.8200995759029837`*^9, {3.8200996377665825`*^9, 3.8200996576392107`*^9}, {
   3.820099791145157*^9, 3.8200998164788585`*^9}, {3.820102203486318*^9, 
   3.820102208878565*^9}, {3.8201022610161257`*^9, 3.8201023701798515`*^9}, {
   3.8201024467897973`*^9, 3.8201024571679277`*^9}, {3.820102496189996*^9, 
   3.8201025182267065`*^9}, {3.820102653324164*^9, 3.8201026540011687`*^9}, {
   3.8201027338178596`*^9, 3.8201028449043884`*^9}, {3.820104416625699*^9, 
   3.8201044348318257`*^9}, {3.8201044891897974`*^9, 
   3.8201046104348726`*^9}, {3.8201046415847063`*^9, 
   3.8201047232773347`*^9}, {3.8201047633501873`*^9, 
   3.8201047644411616`*^9}, {3.820104815124973*^9, 3.82010484083737*^9}, {
   3.8201048922545404`*^9, 3.820105092578293*^9}, {3.820105410970996*^9, 
   3.8201054534996204`*^9}, 3.8201054893548927`*^9, {3.820105533684559*^9, 
   3.820105583571529*^9}, {3.820105628547594*^9, 3.820105659322229*^9}, {
   3.8201060181308317`*^9, 3.8201060204998617`*^9}, {3.820106099136388*^9, 
   3.8201061201731043`*^9}, {3.820106384773939*^9, 3.82010641769553*^9}, {
   3.8201883481811657`*^9, 3.8201883648802786`*^9}, {3.820188420627077*^9, 
   3.8201884700934186`*^9}, {3.820189268978425*^9, 3.8201893333861213`*^9}, {
   3.8201893943245735`*^9, 3.820189408106902*^9}, {3.8201894596004057`*^9, 
   3.820189494079554*^9}, {3.820189533073652*^9, 3.8201895342569456`*^9}, {
   3.8201924734043307`*^9, 3.820192474052349*^9}, {3.82019270266292*^9, 
   3.82019270312324*^9}, {3.8201927714394264`*^9, 3.8201927977003837`*^9}, 
   3.820192855210965*^9, 3.8201928943747673`*^9, {3.820192932528646*^9, 
   3.8201929415432396`*^9}, {3.820193006181658*^9, 3.820193010743921*^9}, {
   3.820193946557431*^9, 3.8201939796563416`*^9}, {3.820194083189149*^9, 
   3.8201941703031435`*^9}, {3.820194256882064*^9, 3.8201943382737226`*^9}, {
   3.8201944651283913`*^9, 3.8201946151477995`*^9}, {3.8201946842862043`*^9, 
   3.820194740928064*^9}, {3.820194787271087*^9, 3.8201948465215597`*^9}, {
   3.8201948787699566`*^9, 3.8201948834918194`*^9}, {3.8201959670964174`*^9, 
   3.820196003484017*^9}, {3.820196065467086*^9, 3.8201960659836397`*^9}, {
   3.8201961106768255`*^9, 3.8201961188431005`*^9}, {3.820196163037786*^9, 
   3.8201961799899206`*^9}, {3.8201962244197493`*^9, 
   3.8201962892954173`*^9}, {3.820196423752144*^9, 3.8201964849335294`*^9}, {
   3.8201965240633388`*^9, 3.8201965479489613`*^9}, {3.820196764997286*^9, 
   3.8201967877102995`*^9}, {3.8201969213088427`*^9, 
   3.8201969252264194`*^9}, {3.82019710739193*^9, 3.8201971692842903`*^9}, {
   3.820197202072101*^9, 3.820197257079839*^9}, {3.8201973144483433`*^9, 
   3.820197319112859*^9}, {3.820198167688958*^9, 3.8201982170449157`*^9}, {
   3.820198430415862*^9, 3.820198437785124*^9}, {3.8201986169219666`*^9, 
   3.8201986479469194`*^9}, {3.820198721770361*^9, 3.8201987435525107`*^9}, {
   3.820198789604664*^9, 3.820198909622182*^9}, {3.8202489081632442`*^9, 
   3.820248941774295*^9}, {3.8202490356663465`*^9, 3.8202490876717386`*^9}, {
   3.8202680207527575`*^9, 3.820268101135557*^9}, {3.8202681320429506`*^9, 
   3.8202681347927322`*^9}, 3.8204866415285177`*^9, {3.8204868376672764`*^9, 
   3.8204868399511795`*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"af2776f1-5fe1-41a7-a523-12db9f4fe779"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`B$$ = 1, $CellContext`Hex$$ = 
    1, $CellContext`OA1$$ = 1, $CellContext`OA2$$ = 1, $CellContext`OA3$$ = 
    1, $CellContext`OB1$$ = 1, $CellContext`OB2$$ = 1, $CellContext`P$$ = 0.3,
     Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", 
    Typeset`specs$$ = {{{
       Hold[$CellContext`P$$], 0.3, "Opacity"}, {0, 0.3, 1}}, {{
       Hold[$CellContext`B$$], 1, "OB1DB2"}, {0, 1}}, {{
       Hold[$CellContext`Hex$$], 1, "Hexa"}, {0, 1}}, {{
       Hold[$CellContext`OA1$$], 1, "OA1"}, {0, 1}}, {{
       Hold[$CellContext`OA2$$], 1, "OA2"}, {0, 1}}, {{
       Hold[$CellContext`OA3$$], 1, "OA3"}, {0, 1}}, {{
       Hold[$CellContext`OB1$$], 1, "OB1"}, {0, 1}}, {{
       Hold[$CellContext`OB2$$], 1, "OB2"}, {0, 1}}}, Typeset`size$$ = {
    360., {177., 183.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`B$$ = 1, $CellContext`Hex$$ = 
        1, $CellContext`OA1$$ = 1, $CellContext`OA2$$ = 1, $CellContext`OA3$$ = 
        1, $CellContext`OB1$$ = 1, $CellContext`OB2$$ = 1, $CellContext`P$$ = 
        0.3}, "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ($CellContext`D1 = Graphics3D[{{
            Opacity[$CellContext`P$$], 
            Dodecahedron[]}, 
           Text[
            Style["A1", Large], $CellContext`A1], 
           Text[
            Style["A3", Large], $CellContext`A3], 
           Text[
            Style["A2", Large], $CellContext`A2], 
           Text[
            Style["C1", Large], $CellContext`C1], 
           Text[
            Style["E", Large], $CellContext`E0], 
           Text[
            Style["O", Large], $CellContext`O0], 
           Text[
            Style["B1", Large], $CellContext`B1], 
           Text[
            Style["B2", Large], $CellContext`B2], 
           Text[
            Style["D", Large], $CellContext`D0], 
           Text[
            Style["C2", Large], $CellContext`C2]}]; $CellContext`Bx = 
        Graphics3D[{Green, 
           Opacity[$CellContext`B$$], 
           
           Tube[{$CellContext`O0, $CellContext`B1, $CellContext`D0, \
$CellContext`B2, $CellContext`O0}, 0.02]}]; $CellContext`vOA1 = 
        Graphics3D[{Red, 
           Opacity[$CellContext`OA1$$], 
           Arrowheads[0.05], 
           Arrow[
            
            Tube[{$CellContext`O0, $CellContext`A1}, 
             0.02]]}]; $CellContext`vOA2 = Graphics3D[{Red, 
           Opacity[$CellContext`OA2$$], 
           Arrowheads[0.05], 
           Arrow[
            
            Tube[{$CellContext`O0, $CellContext`A2}, 
             0.02]]}]; $CellContext`vOA3 = Graphics3D[{Red, 
           Opacity[$CellContext`OA3$$], 
           Arrowheads[0.05], 
           Arrow[
            
            Tube[{$CellContext`O0, $CellContext`A3}, 
             0.02]]}]; $CellContext`vOB2 = Graphics3D[{Blue, 
           Opacity[$CellContext`OB2$$], 
           Arrowheads[0.05], 
           Arrow[
            
            Tube[{$CellContext`O0, $CellContext`B2}, 
             0.02]]}]; $CellContext`vOB1 = Graphics3D[{Blue, 
           Opacity[$CellContext`OB1$$], 
           Arrowheads[0.05], 
           Arrow[
            
            Tube[{$CellContext`O0, $CellContext`B1}, 
             0.02]]}]; $CellContext`Bx = Graphics3D[{Blue, 
           Opacity[$CellContext`B$$], 
           
           Tube[{$CellContext`O0, $CellContext`B1, $CellContext`D0, \
$CellContext`B2, $CellContext`O0}, 0.02]}]; $CellContext`Hx = 
        Graphics3D[{Green, 
           Opacity[$CellContext`Hex$$], 
           EdgeForm[None], 
           
           Polygon[{$CellContext`O0, $CellContext`B1, $CellContext`D0, \
$CellContext`B2}], 
           
           Polygon[{$CellContext`O0, $CellContext`B2, $CellContext`A5, \
$CellContext`A7}], 
           
           Polygon[{$CellContext`O0, $CellContext`B1, $CellContext`A8, \
$CellContext`A7}], 
           
           Polygon[{$CellContext`A8, $CellContext`B1, $CellContext`D0, \
$CellContext`A6}], 
           
           Polygon[{$CellContext`A6, $CellContext`D0, $CellContext`B2, \
$CellContext`A5}], 
           
           Polygon[{$CellContext`A5, $CellContext`A6, $CellContext`A8, \
$CellContext`A7}]}]; 
       Show[$CellContext`vOA1, $CellContext`vOA2, $CellContext`vOA3, \
$CellContext`vOB1, $CellContext`vOB2, $CellContext`D1, $CellContext`Bx, \
$CellContext`Hx]), 
      "Specifications" :> {{{$CellContext`P$$, 0.3, "Opacity"}, {
         0, 0.3, 1}}, {{$CellContext`B$$, 1, "OB1DB2"}, {0, 
         1}}, {{$CellContext`Hex$$, 1, "Hexa"}, {0, 
         1}}, {{$CellContext`OA1$$, 1, "OA1"}, {0, 
         1}}, {{$CellContext`OA2$$, 1, "OA2"}, {0, 
         1}}, {{$CellContext`OA3$$, 1, "OA3"}, {0, 
         1}}, {{$CellContext`OB1$$, 1, "OB1"}, {0, 
         1}}, {{$CellContext`OB2$$, 1, "OB2"}, {0, 1}}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{1024., {207., 213.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`D1 = Graphics3D[{{
           Opacity[1], 
           Dodecahedron[]}, 
          Text[
           Style["A1", Large], {-Sqrt[1 + 2/Sqrt[5]], 0, 
            Root[1 - 20 #^2 + 80 #^4& , 3, 0]}], 
          Text[
           Style["A3", Large], {
            Root[1 - 20 #^2 + 80 #^4& , 1, 0], (-3 - Sqrt[5])/4, 
            Root[1 - 20 #^2 + 80 #^4& , 3, 0]}], 
          Text[
           Style["A2", Large], {-Sqrt[1 + 2/Sqrt[5]]/2, (-1)/2, 
            Root[1 - 100 #^2 + 80 #^4& , 1, 0]}], 
          Text[
           Style["C1", Large], {-Sqrt[1 + 2/Sqrt[5]]/2, 1/2, 
            Root[1 - 100 #^2 + 80 #^4& , 1, 0]}], 
          Text[
           Style["E", Large], {
            Sqrt[(5 + Sqrt[5])/10], 0, 
            Root[1 - 100 #^2 + 80 #^4& , 1, 0]}], 
          Text[
           Style["O", Large], {
            Root[1 - 100 #^2 + 80 #^4& , 1, 0], (-1 - Sqrt[5])/4, 
            Root[1 - 20 #^2 + 80 #^4& , 2, 0]}], 
          Text[
           Style["B1", Large], {
            Root[1 - 100 #^2 + 80 #^4& , 1, 0], (1 + Sqrt[5])/4, 
            Root[1 - 20 #^2 + 80 #^4& , 2, 0]}], 
          Text[
           Style["B2", Large], {
            Root[1 - 20 #^2 + 80 #^4& , 3, 0], (-1 - Sqrt[5])/4, 
            Root[1 - 100 #^2 + 80 #^4& , 1, 0]}], 
          Text[
           Style["D", Large], {
            Root[1 - 20 #^2 + 80 #^4& , 3, 0], (1 + Sqrt[5])/4, 
            Root[1 - 100 #^2 + 80 #^4& , 1, 0]}], 
          Text[
           Style["C2", Large], {
            Sqrt[1/8 + 1/(8 Sqrt[5])], (-3 - Sqrt[5])/4, 
            Root[1 - 20 #^2 + 80 #^4& , 2, 0]}]}], $CellContext`A1 = {-
         Sqrt[1 + 2/Sqrt[5]], 0, 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0]}, $CellContext`A3 = {
         Root[1 - 20 #^2 + 80 #^4& , 1, 0], (-3 - Sqrt[5])/4, 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0]}, $CellContext`A2 = {-
         Sqrt[1 + 2/Sqrt[5]]/2, (-1)/2, 
         Root[1 - 100 #^2 + 80 #^4& , 1, 0]}, $CellContext`C1 = {-
         Sqrt[1 + 2/Sqrt[5]]/2, 1/2, 
         Root[1 - 100 #^2 + 80 #^4& , 1, 0]}, $CellContext`E0 = {
         Sqrt[(5 + Sqrt[5])/10], 0, 
         Root[1 - 100 #^2 + 80 #^4& , 1, 0]}, $CellContext`O0 = {
         Root[1 - 100 #^2 + 80 #^4& , 1, 0], (-1 - Sqrt[5])/4, 
         Root[1 - 20 #^2 + 80 #^4& , 2, 0]}, $CellContext`B1 = {
         Root[1 - 100 #^2 + 80 #^4& , 1, 0], (1 + Sqrt[5])/4, 
         Root[1 - 20 #^2 + 80 #^4& , 2, 0]}, $CellContext`B2 = {
         Root[1 - 20 #^2 + 80 #^4& , 3, 0], (-1 - Sqrt[5])/4, 
         Root[1 - 100 #^2 + 80 #^4& , 1, 0]}, $CellContext`D0 = {
         Root[1 - 20 #^2 + 80 #^4& , 3, 0], (1 + Sqrt[5])/4, 
         Root[1 - 100 #^2 + 80 #^4& , 1, 0]}, $CellContext`C2 = {
         Sqrt[1/8 + 1/(8 Sqrt[5])], (-3 - Sqrt[5])/4, 
         Root[1 - 20 #^2 + 80 #^4& , 2, 0]}, $CellContext`Bx = Graphics3D[{
          RGBColor[0, 0, 1], 
          Opacity[1], 
          Tube[{{
             Root[1 - 100 #^2 + 80 #^4& , 1, 0], (-1 - Sqrt[5])/4, 
             Root[1 - 20 #^2 + 80 #^4& , 2, 0]}, {
             Root[1 - 100 #^2 + 80 #^4& , 1, 0], (1 + Sqrt[5])/4, 
             Root[1 - 20 #^2 + 80 #^4& , 2, 0]}, {
             Root[1 - 20 #^2 + 80 #^4& , 3, 0], (1 + Sqrt[5])/4, 
             Root[1 - 100 #^2 + 80 #^4& , 1, 0]}, {
             Root[1 - 20 #^2 + 80 #^4& , 3, 0], (-1 - Sqrt[5])/4, 
             Root[1 - 100 #^2 + 80 #^4& , 1, 0]}, {
             Root[1 - 100 #^2 + 80 #^4& , 1, 0], (-1 - Sqrt[5])/4, 
             Root[1 - 20 #^2 + 80 #^4& , 2, 0]}}, 0.02]}], $CellContext`vOA1 = 
       Graphics3D[{
          RGBColor[1, 0, 0], 
          Opacity[1], 
          Arrowheads[0.05], 
          Arrow[
           Tube[{{
              Root[1 - 100 #^2 + 80 #^4& , 1, 0], (-1 - Sqrt[5])/4, 
              Root[1 - 20 #^2 + 80 #^4& , 2, 0]}, {-Sqrt[1 + 2/Sqrt[5]], 0, 
              Root[1 - 20 #^2 + 80 #^4& , 3, 0]}}, 
            0.02]]}], $CellContext`vOA2 = Graphics3D[{
          RGBColor[1, 0, 0], 
          Opacity[1], 
          Arrowheads[0.05], 
          Arrow[
           Tube[{{
              Root[1 - 100 #^2 + 80 #^4& , 1, 0], (-1 - Sqrt[5])/4, 
              Root[1 - 20 #^2 + 80 #^4& , 2, 0]}, {-Sqrt[1 + 2/Sqrt[5]]/
              2, (-1)/2, 
              Root[1 - 100 #^2 + 80 #^4& , 1, 0]}}, 
            0.02]]}], $CellContext`vOA3 = Graphics3D[{
          RGBColor[1, 0, 0], 
          Opacity[1], 
          Arrowheads[0.05], 
          Arrow[
           Tube[{{
              Root[1 - 100 #^2 + 80 #^4& , 1, 0], (-1 - Sqrt[5])/4, 
              Root[1 - 20 #^2 + 80 #^4& , 2, 0]}, {
              Root[1 - 20 #^2 + 80 #^4& , 1, 0], (-3 - Sqrt[5])/4, 
              Root[1 - 20 #^2 + 80 #^4& , 3, 0]}}, 
            0.02]]}], $CellContext`vOB2 = Graphics3D[{
          RGBColor[0, 0, 1], 
          Opacity[1], 
          Arrowheads[0.05], 
          Arrow[
           Tube[{{
              Root[1 - 100 #^2 + 80 #^4& , 1, 0], (-1 - Sqrt[5])/4, 
              Root[1 - 20 #^2 + 80 #^4& , 2, 0]}, {
              Root[1 - 20 #^2 + 80 #^4& , 3, 0], (-1 - Sqrt[5])/4, 
              Root[1 - 100 #^2 + 80 #^4& , 1, 0]}}, 
            0.02]]}], $CellContext`vOB1 = Graphics3D[{
          RGBColor[0, 0, 1], 
          Opacity[1], 
          Arrowheads[0.05], 
          Arrow[
           Tube[{{
              Root[1 - 100 #^2 + 80 #^4& , 1, 0], (-1 - Sqrt[5])/4, 
              Root[1 - 20 #^2 + 80 #^4& , 2, 0]}, {
              Root[1 - 100 #^2 + 80 #^4& , 1, 0], (1 + Sqrt[5])/4, 
              Root[1 - 20 #^2 + 80 #^4& , 2, 0]}}, 0.02]]}], $CellContext`Hx = 
       Graphics3D[{
          RGBColor[0, 1, 0], 
          Opacity[1], 
          EdgeForm[None], 
          Polygon[{{
             Root[1 - 100 #^2 + 80 #^4& , 1, 0], (-1 - Sqrt[5])/4, 
             Root[1 - 20 #^2 + 80 #^4& , 2, 0]}, {
             Root[1 - 100 #^2 + 80 #^4& , 1, 0], (1 + Sqrt[5])/4, 
             Root[1 - 20 #^2 + 80 #^4& , 2, 0]}, {
             Root[1 - 20 #^2 + 80 #^4& , 3, 0], (1 + Sqrt[5])/4, 
             Root[1 - 100 #^2 + 80 #^4& , 1, 0]}, {
             Root[1 - 20 #^2 + 80 #^4& , 3, 0], (-1 - Sqrt[5])/4, 
             Root[1 - 100 #^2 + 80 #^4& , 1, 0]}}], 
          Polygon[{{
             Root[1 - 100 #^2 + 80 #^4& , 1, 0], (-1 - Sqrt[5])/4, 
             Root[1 - 20 #^2 + 80 #^4& , 2, 0]}, {
             Root[1 - 20 #^2 + 80 #^4& , 3, 0], (-1 - Sqrt[5])/4, 
             Root[1 - 100 #^2 + 80 #^4& , 1, 0]}, {
             Sqrt[5/8 + 11/(8 Sqrt[5])], (-1 - Sqrt[5])/4, 
             Root[1 - 20 #^2 + 80 #^4& , 3, 0]}, {
             Root[1 - 20 #^2 + 80 #^4& , 2, 0], (-1 - Sqrt[5])/4, 
             Sqrt[5/8 + 11/(8 Sqrt[5])]}}], 
          Polygon[{{
             Root[1 - 100 #^2 + 80 #^4& , 1, 0], (-1 - Sqrt[5])/4, 
             Root[1 - 20 #^2 + 80 #^4& , 2, 0]}, {
             Root[1 - 100 #^2 + 80 #^4& , 1, 0], (1 + Sqrt[5])/4, 
             Root[1 - 20 #^2 + 80 #^4& , 2, 0]}, {
             Root[1 - 20 #^2 + 80 #^4& , 2, 0], (1 + Sqrt[5])/4, 
             Sqrt[5/8 + 11/(8 Sqrt[5])]}, {
             Root[1 - 20 #^2 + 80 #^4& , 2, 0], (-1 - Sqrt[5])/4, 
             Sqrt[5/8 + 11/(8 Sqrt[5])]}}], 
          Polygon[{{
             Root[1 - 20 #^2 + 80 #^4& , 2, 0], (1 + Sqrt[5])/4, 
             Sqrt[5/8 + 11/(8 Sqrt[5])]}, {
             Root[1 - 100 #^2 + 80 #^4& , 1, 0], (1 + Sqrt[5])/4, 
             Root[1 - 20 #^2 + 80 #^4& , 2, 0]}, {
             Root[1 - 20 #^2 + 80 #^4& , 3, 0], (1 + Sqrt[5])/4, 
             Root[1 - 100 #^2 + 80 #^4& , 1, 0]}, {
             Sqrt[5/8 + 11/(8 Sqrt[5])], (1 + Sqrt[5])/4, 
             Root[1 - 20 #^2 + 80 #^4& , 3, 0]}}], 
          Polygon[{{
             Sqrt[5/8 + 11/(8 Sqrt[5])], (1 + Sqrt[5])/4, 
             Root[1 - 20 #^2 + 80 #^4& , 3, 0]}, {
             Root[1 - 20 #^2 + 80 #^4& , 3, 0], (1 + Sqrt[5])/4, 
             Root[1 - 100 #^2 + 80 #^4& , 1, 0]}, {
             Root[1 - 20 #^2 + 80 #^4& , 3, 0], (-1 - Sqrt[5])/4, 
             Root[1 - 100 #^2 + 80 #^4& , 1, 0]}, {
             Sqrt[5/8 + 11/(8 Sqrt[5])], (-1 - Sqrt[5])/4, 
             Root[1 - 20 #^2 + 80 #^4& , 3, 0]}}], 
          Polygon[{{
             Sqrt[5/8 + 11/(8 Sqrt[5])], (-1 - Sqrt[5])/4, 
             Root[1 - 20 #^2 + 80 #^4& , 3, 0]}, {
             Sqrt[5/8 + 11/(8 Sqrt[5])], (1 + Sqrt[5])/4, 
             Root[1 - 20 #^2 + 80 #^4& , 3, 0]}, {
             Root[1 - 20 #^2 + 80 #^4& , 2, 0], (1 + Sqrt[5])/4, 
             Sqrt[5/8 + 11/(8 Sqrt[5])]}, {
             Root[1 - 20 #^2 + 80 #^4& , 2, 0], (-1 - Sqrt[5])/4, 
             Sqrt[5/8 + 11/(8 Sqrt[5])]}}]}], $CellContext`A5 = {
         Sqrt[5/8 + 11/(8 Sqrt[5])], (-1 - Sqrt[5])/4, 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0]}, $CellContext`A7 = {
         Root[1 - 20 #^2 + 80 #^4& , 2, 0], (-1 - Sqrt[5])/4, 
         Sqrt[5/8 + 11/(8 Sqrt[5])]}, $CellContext`A8 = {
         Root[1 - 20 #^2 + 80 #^4& , 2, 0], (1 + Sqrt[5])/4, 
         Sqrt[5/8 + 11/(8 Sqrt[5])]}, $CellContext`A6 = {
         Sqrt[5/8 + 11/(8 Sqrt[5])], (1 + Sqrt[5])/4, 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0]}}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.8204867226535687`*^9, {3.82048683107292*^9, 3.820486841678541*^9}},
 CellLabel->"Out[6]=",ExpressionUUID->"ab5d51b5-913a-4504-be8c-055fbecd5e71"]
}, {2}]]
},
WindowSize->{1141.2, 574.8},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"12.1 for Microsoft Windows (64-bit) (2020\:5e746\:670822\
\:65e5)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"bbd6837c-4c9e-4477-a56b-5edac6e7b0c8"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 687, 10, 28, "Input",ExpressionUUID->"52194717-f0c9-4c41-8c88-89c31f53c92c"],
Cell[1248, 32, 301, 5, 35, "Text",ExpressionUUID->"a978c2e3-5b69-49ba-9dba-597ed3843b9d"],
Cell[CellGroupData[{
Cell[1574, 41, 16590, 381, 1425, "Input",ExpressionUUID->"af2776f1-5fe1-41a7-a523-12db9f4fe779"],
Cell[18167, 424, 14992, 327, 439, "Output",ExpressionUUID->"ab5d51b5-913a-4504-be8c-055fbecd5e71"]
}, {2}]]
}
]
*)

